Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1496158 - Remove dependency on net-tools
Summary: Remove dependency on net-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: testcloud
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Páral
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: deprecation, net-tools
TreeView+ depends on / blocked
 
Reported: 2017-09-26 14:54 UTC by James Hogarth
Modified: 2017-11-11 03:06 UTC (History)
4 users (show)

Fixed In Version: testcloud-0.1.15-1.fc26 testcloud-0.1.15-1.fc25 testcloud-0.1.15-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:16:49 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2017-09-26 14:54:24 UTC
On linux the net-tools suite of utilities has been long since deprecated.

The relevant code that gets executed on Fedora and EPEL should be identified and patched out, with a suitable pull request upstream, to remove the dependency on any tool in the net-tools package and instead use suitable tools form iproute2.

Comment 1 Kamil Páral 2017-10-24 13:31:41 UTC
Patched:
https://pagure.io/testcloud/pull-request/50

Comment 2 Fedora Update System 2017-10-26 12:53:34 UTC
testcloud-0.1.14-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccd823d206

Comment 3 Fedora Update System 2017-10-26 12:54:21 UTC
testcloud-0.1.14-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b88096697f

Comment 4 Fedora Update System 2017-10-26 12:55:36 UTC
testcloud-0.1.14-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef27434eb4

Comment 5 Fedora Update System 2017-10-27 15:38:38 UTC
testcloud-0.1.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef27434eb4

Comment 6 Fedora Update System 2017-10-27 15:38:49 UTC
testcloud-0.1.15-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b88096697f

Comment 7 Fedora Update System 2017-10-27 18:49:04 UTC
testcloud-0.1.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ccd823d206

Comment 8 Fedora Update System 2017-11-07 22:16:49 UTC
testcloud-0.1.15-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-07 23:40:12 UTC
testcloud-0.1.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-11-11 03:06:27 UTC
testcloud-0.1.15-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.